Index: src/edu/ucsb/nceas/metacat/ContentTypeProvider.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/ContentTypeProvider.java	(revision 2663)
@@ -34,6 +34,7 @@
 import java.util.Hashtable;
 import java.util.Vector;
 
+import org.apache.log4j.Logger;
 import org.apache.xpath.objects.XObject;
 import org.apache.xpath.XPathAPI;
 import org.apache.xerces.parsers.DOMParser;
@@ -103,6 +104,7 @@
   private String BINARYRASTERFORMAT = "binaryRasterFormat";
 
   private String DATAFILEPATH ="//physical/distribution/online/url";
+  private static Logger logMetacat = Logger.getLogger(ContentTypeProvider.class);
 
   /**
    * Constructor of ContentTypeProvider
@@ -190,8 +192,8 @@
     {
       // if faild, set default value
       contentType = DEFAULTCONTENTTYPE;
-      MetaCatUtil.debugMessage("Error in ContentTypeProvider." +
-                         "findContentTypeInEML2()" + e.getMessage(), 30);
+      logMetacat.error("Error in ContentTypeProvider." +
+                         "findContentTypeInEML2()" + e.getMessage());
       return;
     }
     Node dataFormatNode = findDataFormatNodeInEML2(doc, DATAFILEPATH,
@@ -199,7 +201,7 @@
     if (dataFormatNode == null)
     {
       contentType = DEFAULTCONTENTTYPE;
-      MetaCatUtil.debugMessage("Couldn't find data format node", 30);
+      logMetacat.info("Couldn't find data format node");
       return;
 
     }
@@ -212,7 +214,7 @@
       // if has text format child set to text/plain
       if (child.getNodeName() != null && child.getNodeName().equals(TEXTFORMAT))
       {
-        MetaCatUtil.debugMessage("in text format", 35);
+        logMetacat.info("in text format");
         contentType = TEXTYPE;
       }
 
@@ -219,9 +221,9 @@
       //external format
       if (child.getNodeName() != null && child.getNodeName().equals(EXTENALFORMAT))
       {
-        MetaCatUtil.debugMessage("in external format ", 35);
+        logMetacat.info("in external format ");
         String format = getTextValueForGivenChildTag(child, FORMATNAME);
-        MetaCatUtil.debugMessage("The format is: "+format, 35);
+        logMetacat.info("The format is: "+format);
         // if we can find the format in the contentTypeHash table
         contentType = (String)lookUpContentType(format);
         if (contentType == null)
@@ -255,7 +257,7 @@
       Node child = childList.item(i);
       if (child.getNodeName() != null && child.getNodeName().equals(childTagName))
       {
-        MetaCatUtil.debugMessage("Find child node: " + childTagName, 35);
+        logMetacat.info("Find child node: " + childTagName);
         Node textNode = child.getFirstChild();
         if (textNode.getNodeType() == Node.TEXT_NODE)
         {
@@ -263,8 +265,8 @@
         }//if
       }//if
     }//for
-    MetaCatUtil.debugMessage("The text value for element- " + childTagName +
-                             " is " + textValue, 30);
+    logMetacat.info("The text value for element- " + childTagName +
+                             " is " + textValue);
     return textValue;
   }//getTExtValueForGivenChildTag
 
@@ -293,8 +295,8 @@
       } //for
       if (targetNode != null)
       {
-        MetaCatUtil.debugMessage("dataFormat node'name: " +
-                                 targetNode.getNodeName(), 35);
+        logMetacat.info("dataFormat node'name: " +
+                                 targetNode.getNodeName());
       }
     }//if
     return targetNode;
@@ -312,7 +314,7 @@
     catch (Exception e)
     {
       // catch an error and return null
-      MetaCatUtil.debugMessage("Error in findDataFileNode: "+e.getMessage(), 30);
+      logMetacat.error("Error in findDataFileNode: "+e.getMessage());
       return dataFileNode;
     }
     // go through the list and find target docid in online/url
@@ -325,7 +327,7 @@
         if (textNode.getNodeType() == node.TEXT_NODE)
         {
           String URLData = textNode.getNodeValue();
-          MetaCatUtil.debugMessage("online/url text data: " + URLData, 30);
+          logMetacat.info("online/url text data: " + URLData);
           //Only handle ecogrid data file
           if (URLData.indexOf(DBSAXHandler.ECOGRID) != -1 )
           {
@@ -334,13 +336,13 @@
                                getAccessionNumberFromEcogridIdentifier(URLData);
             // Get rid of revision
             docId = MetaCatUtil.getDocIdFromAccessionNumber(docId);
-            MetaCatUtil.debugMessage("docid from url element in xml is: " +
-                                     docId, 30);
+            logMetacat.info("docid from url element in xml is: " +
+                                     docId);
             //if this docid equals target one, we find it
             if (docId != null && docId.equals(targetDocId))
             {
-              MetaCatUtil.debugMessage("Find target docid in online/url: " +
-                                       docId, 30);
+              logMetacat.info("Find target docid in online/url: " +
+                                       docId);
               dataFileNode = node;
               break;
             }
@@ -395,7 +397,7 @@
                                      contains(packType))
       {
         //this is beta4 or beta6 version
-        MetaCatUtil.debugMessage("This is beta package", 30);
+        logMetacat.warn("This is beta package");
         packageType = BETA;
       }
       else if ((MetaCatUtil.getOptionList
@@ -402,7 +404,7 @@
                (MetaCatUtil.getOption("eml2_0_0namespace"))).contains(packType))
       {
         // this eml 2 document
-        MetaCatUtil.debugMessage("This is EML2.0.0 package", 30);
+        logMetacat.warn("This is EML2.0.0 package");
         packageType = EML2;
       }
       else if ((MetaCatUtil.getOptionList
@@ -409,7 +411,7 @@
                (MetaCatUtil.getOption("eml2_0_1namespace"))).contains(packType))
       {
         // this eml 2 document
-        MetaCatUtil.debugMessage("This is EML2.0.1 package", 30);
+        logMetacat.warn("This is EML2.0.1 package");
         packageType = EML2;
       }
 
@@ -419,8 +421,8 @@
     catch(SQLException e)
     {
 
-      MetaCatUtil.debugMessage("ContenTypProvider.getRelativeDoclist1 " +
-                             e.getMessage(), 30);
+      logMetacat.error("ContenTypProvider.getRelativeDoclist1 " +
+                             e.getMessage());
     }//catch
     finally
     {
@@ -430,8 +432,8 @@
       }
       catch (SQLException ee)
       {
-        MetaCatUtil.debugMessage("ContenTypProvider.getRelativeDoclist2 " +
-                             ee.getMessage(), 30);
+        logMetacat.error("ContenTypProvider.getRelativeDoclist2 " +
+                             ee.getMessage());
       }
       finally
       {
@@ -465,7 +467,7 @@
     }//for
     // add parensis
     sql = sql + ")";
-    MetaCatUtil.debugMessage("SQL for select doctype: "+ sql, 35);
+    logMetacat.info("SQL for select doctype: "+ sql);
     ResultSet rs = null;
     PreparedStatement pStmt=null;
     DBConnection conn = null;
@@ -499,8 +501,8 @@
     catch(SQLException e)
     {
 
-      MetaCatUtil.debugMessage("ContenTypProvider.setPhysicalDocIdForBeta1 " +
-                             e.getMessage(), 30);
+      logMetacat.error("ContenTypProvider.setPhysicalDocIdForBeta1 " +
+                             e.getMessage());
     }//catch
     finally
     {
@@ -510,8 +512,8 @@
       }
       catch(SQLException ee)
       {
-        MetaCatUtil.debugMessage("ContenTypProvider.setPhysicalDocIdForBeta2 " +
-                             ee.getMessage(), 30);
+        logMetacat.error("ContenTypProvider.setPhysicalDocIdForBeta2 " +
+                             ee.getMessage());
       }//catch
       finally
       {
@@ -518,8 +520,8 @@
         DBConnectionPool.returnDBConnection(conn, serialNumber);
       }
     }//finally
-    MetaCatUtil.debugMessage("target docid is: "+ docId + " "+
-                             "for target doctype: "+targetType, 25);
+    logMetacat.warn("target docid is: "+ docId + " "+
+                             "for target doctype: "+targetType);
     return docId;
   }
 
@@ -542,8 +544,8 @@
     catch (Exception e)
     {
       contentType = DEFAULTCONTENTTYPE;
-      MetaCatUtil.debugMessage("Error in ContentTypeProvider." +
-                         "parsePhysicalDocumentForBeta()" + e.getMessage(), 30);
+      logMetacat.error("Error in ContentTypeProvider." +
+                         "parsePhysicalDocumentForBeta()" + e.getMessage());
       return;
     }
       // get format element's text value
@@ -584,11 +586,11 @@
     }
     catch (Exception e)
     {
-      MetaCatUtil.debugMessage("error in ContentTypeProvider."+
-                               "getTextValueFromPath: "+e.getMessage(), 30);
+      logMetacat.error("error in ContentTypeProvider."+
+                               "getTextValueFromPath: "+e.getMessage());
     }
-    MetaCatUtil.debugMessage("The text value for " + xPath + " is: "+
-                              textValue, 30);
+    logMetacat.info("The text value for " + xPath + " is: "+
+                              textValue);
     return textValue;
   }//getTextValueFromPath
 
@@ -600,8 +602,8 @@
     newFormat = format.toLowerCase().trim();
     String type = null;
     type = (String)contentTypeHash.get(newFormat);
-    MetaCatUtil.debugMessage("contentType looked from hashtalbe is: " +
-                              type, 30);
+    logMetacat.info("contentType looked from hashtalbe is: " +
+                              type);
     return type;
   }// lookupcontentypes
 
@@ -630,12 +632,12 @@
        //ContentTypeProvider provider = new ContentTypeProvider("tao.9830");
        ContentTypeProvider provider = new ContentTypeProvider("tao.0001");
        String str = provider.getContentType();
-       MetaCatUtil.debugMessage("content type is : " + str, 20);
+       logMetacat.warn("content type is : " + str);
      }
      catch(Exception e)
      {
-       MetaCatUtil.debugMessage("erorr in Schemalocation.main: " +
-                                e.getMessage(), 30);
+       logMetacat.error("erorr in Schemalocation.main: " +
+                                e.getMessage());
      }
   }
 }//ContentTypeProvider
Index: src/edu/ucsb/nceas/metacat/AccessRule.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessRule.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AccessRule.java	(revision 2663)
@@ -29,7 +29,7 @@
 package edu.ucsb.nceas.metacat;
 
 import java.util.Vector;
-
+import org.apache.log4j.Logger;
 /**
  * A Class that represents an XML access rule. It include principal and 
  * permission
@@ -39,6 +39,7 @@
   private String permissionType = null;
   private Vector principal = new Vector();
   private int permission = 0;
+  private Logger logMetacat = Logger.getLogger(AccessRule.class);
   
   /** Set the permssionType */
   public void setPermissionType(String type)
@@ -87,11 +88,11 @@
     // create a new object
     AccessRule newRule = new AccessRule();
     // set permissiontype
-    MetaCatUtil.logMetacat.info("copy permission type: "+
+    logMetacat.info("copy permission type: "+
                               this.getPermissionType());
     newRule.setPermissionType(this.getPermissionType());
     // set permission
-    MetaCatUtil.logMetacat.info("copy permission: "+
+    logMetacat.info("copy permission: "+
                               this.getPermission());
     newRule.setPermission(this.getPermission());
     // walk through all the principals
@@ -99,7 +100,7 @@
     for (int i=0; i<principalVector.size(); i++)
     {
       String name = (String)principalVector.elementAt(i);
-      MetaCatUtil.logMetacat.info("copy principle: "+ name);
+      logMetacat.info("copy principle: "+ name);
       // Add this name to newrules
       newRule.addPrincipal(name);
     }
Index: src/edu/ucsb/nceas/metacat/PermissionController.java
===================================================================
--- src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/PermissionController.java	(revision 2663)
@@ -35,6 +35,8 @@
 import java.util.Vector;
 import java.util.Iterator;
 
+import org.apache.log4j.Logger;
+
 public class PermissionController
 {
    private String docId = null;
@@ -45,6 +47,7 @@
    private long TOPLEVELSTARTNODEID = 0; //if start node is 0, means it is top
                                          //level document
 
+   private static Logger logMetacat = Logger.getLogger(PermissionController.class);
 
    /**
     * Constructor for PermissionController
@@ -190,8 +193,8 @@
     }//try
     catch (Exception e)
     {
-      MetaCatUtil.debugMessage("There is a exception in hasPermission method: "
-                         +e.getMessage(), 50);
+      logMetacat.warn("There is a exception in hasPermission method: "
+                         +e.getMessage());
     }
 
     return false;
@@ -346,8 +349,8 @@
         }//try
         catch( Exception e)
         {
-          MetaCatUtil.debugMessage("error in PermissionControl.has" +
-                                   "UnaccessableSubTree "+e.getMessage(), 30);
+          logMetacat.error("error in PermissionControl.has" +
+                                   "UnaccessableSubTree "+e.getMessage());
           throw new McdbException(e);
         }
 
@@ -397,10 +400,10 @@
           if (startId > subTreeStartId && endId < subTreeEndId)
           {
             needDelete = true;
-            MetaCatUtil.debugMessage("the subtree: "+ treeId +
+            logMetacat.info("the subtree: "+ treeId +
                                      " need to be get rid of from unaccessable"+
                                      " subtree list becuase it is a subtree of"+
-                                     " another subtree in the list", 45);
+                                     " another subtree in the list");
             break;
           }//if
         }//while
@@ -510,8 +513,8 @@
         // Bind the values to the query
         pStmt.setString(1, docId);
         pStmt.setString(2, principals[i]);
-        MetaCatUtil.debugMessage("the principle stack is : " +
-                                  principals[i], 40);
+        logMetacat.info("the principle stack is : " +
+                                  principals[i]);
 
         pStmt.execute();
         ResultSet rs = pStmt.getResultSet();
@@ -519,7 +522,7 @@
         if (hasRow)
         {
           pStmt.close();
-           MetaCatUtil.debugMessage("find the owner", 40);
+           logMetacat.info("find the owner");
           return true;
         }//if
 
@@ -863,15 +866,15 @@
         if (user != null)
         {
           usersPackage[0]= user.toLowerCase();
-          MetaCatUtil.debugMessage("after transfer to lower case(not null): "+
-                                     usersPackage[0], 45);
+          logMetacat.info("after transfer to lower case(not null): "+
+                                     usersPackage[0]);
         }
         else
         {
           usersPackage[0] = user;
           usersPackage[0]= user.toLowerCase();
-          MetaCatUtil.debugMessage("after transfer to lower case(null): "+
-                                     usersPackage[0], 45);
+          logMetacat.info("after transfer to lower case(null): "+
+                                     usersPackage[0]);
         }
         usersPackage[1]=AccessControlInterface.PUBLIC;
         //put groups element from index 0 to lengthOfPackage-3 into userPackage
@@ -1005,21 +1008,21 @@
         {
             if(withRevision)
             {
-                MetaCatUtil.debugMessage("Put subtree id " + subTreeId +
+                logMetacat.info("Put subtree id " + subTreeId +
                                          " and " + "inline data file name " +
                                          fileId + " into " + "un" + permission +
-                                         " hash", 20);
+                                         " hash");
                 unAccessbleIdList.put(subTreeId, fileId);
 
             }
             else
             {
-                MetaCatUtil.debugMessage("Put subtree id " + subTreeId +
+                logMetacat.info("Put subtree id " + subTreeId +
                                          " and " + "inline data file name " +
                                          MetaCatUtil.
                                          getInlineDataIdWithoutRev(fileId) +
                                          " into " + "un" + permission +
-                                         " hash", 20);
+                                         " hash");
                 unAccessbleIdList.put(subTreeId, MetaCatUtil.
                                       getInlineDataIdWithoutRev(fileId));
             }
